package main

import (
	"gibb165lb2/router"
	"github.com/gorilla/mux"
)

func GetRouter() *mux.Router {
	r := mux.NewRouter()
	r.HandleFunc("/persons", router.CreatePerson).Methods("POST")
	r.HandleFunc("/persons/{id}", router.GetPerson).Methods("GET")
	r.HandleFunc("/persons", router.GetAllPersons).Methods("GET")
	r.HandleFunc("/personsWithDebts", router.GetPersonsWithDebts).Methods("GET")
	r.HandleFunc("/persons/{id}", router.UpdatePerson).Methods("PUT")
	r.HandleFunc("/persons/{id}", router.DeletePerson).Methods("DELETE")
	r.HandleFunc("/persons/{id}/debts", router.GetDebts).Methods("GET")
	r.HandleFunc("/persons/{id}/debts", router.CreateDebt).Methods("POST")
	r.HandleFunc("/debts/{id}", router.DeleteDebt).Methods("DELETE")
	r.HandleFunc("/debts", router.GetAllDebts).Methods("GET")
	r.HandleFunc("/debts/{id}", router.GetDebt).Methods("GET")
	r.HandleFunc("/debts/{id}", router.UpdateDebt).Methods("PUT")
	return r
}
